/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package models

type OptionType string

const (
	Bool   OptionType = "bool"
	Secret OptionType = "secret"
	String OptionType = "string"
	Int    OptionType = "int"
)

type BackendOption struct {
	Name     string
	Label    string
	Type     OptionType
	Default  string
	Validate func(string) error
}
