/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package util

import "golang.org/x/exp/constraints"

func Sum[T constraints.Integer | constraints.Float](v ...T) T {
	var sum T
	for _, i := range v {
		sum += i
	}
	return sum
}

func Average[T constraints.Integer | constraints.Float](v ...T) float64 {
	length := len(v)
	if length == 0 {
		return 0.0
	}
	return float64(Sum(v...)) / float64(length)
}
